%define libcimcClientXML_major 0
%define libcimcClientXML %mklibname cimcClientXML %{libcimcClientXML_major}

%define libcimcclient_major 0
%define libcimcclient %mklibname cimcclient %{libcimcclient_major}

%define libcmpisfcc_major 1
%define libcmpisfcc %mklibname cmpisfcc %{libcmpisfcc_major}

%define develname %mklibname %{name} -d

Name:           sblim-sfcc
Version:        2.2.8
Release:        %mkrel 7
Summary:        Standards Based Linux Instrumentation for Manageability
Group:          Development/C
License:        CPL and EPL
URL:            https://sourceforge.net/projects/sblim/
Source0:        https://sourceforge.net/projects/sblim/files/sblim-sfcc/%{name}-%{version}.tar.bz2

BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openssl)

%description
SBLIM (pronounced "sublime"), the Standards Based Linux Instrumentation for
Manageability is an IBM-initiated Open Source project, intended to enhance
the manageability of GNU/Linux systems. It does so by enabling WBEM, Web
Based Enterprise Management.

%package -n %{develname}
Summary:        Standards Based Linux Instrumentation for Manageability
Provides:       sfcc-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:       %{libcimcClientXML} = %{version}-%{release}
Requires:       %{libcimcclient} = %{version}-%{release}
Requires:       %{libcmpisfcc} = %{version}-%{release}
Recommends:     %{name}-docs = %{version}-%{release}

%description -n %{develname}
SBLIM (pronounced "sublime"), the Standards Based Linux Instrumentation for
Manageability is an IBM-initiated Open Source project, intended to enhance
the manageability of GNU/Linux systems. It does so by enabling WBEM, Web
Based Enterprise Management.

%package -n %{libcimcClientXML}
Summary:        Standards Based Linux Instrumentation for Manageability
Obsoletes:      %{_lib}cimcClientXML0 < 2.2.8-3

%description -n %{libcimcClientXML}
SBLIM (pronounced "sublime"), the Standards Based Linux Instrumentation for
Manageability is an IBM-initiated Open Source project, intended to enhance
the manageability of GNU/Linux systems. It does so by enabling WBEM, Web
Based Enterprise Management.

%package -n %{libcimcclient}
Summary:        Standards Based Linux Instrumentation for Manageability

%description -n %{libcimcclient}
SBLIM (pronounced "sublime"), the Standards Based Linux Instrumentation for
Manageability is an IBM-initiated Open Source project, intended to enhance
the manageability of GNU/Linux systems. It does so by enabling WBEM, Web
Based Enterprise Management.

%package -n %{libcmpisfcc}
Summary:        Standards Based Linux Instrumentation for Manageability

%description -n %{libcmpisfcc}
SBLIM (pronounced "sublime"), the Standards Based Linux Instrumentation for
Manageability is an IBM-initiated Open Source project, intended to enhance
the manageability of GNU/Linux systems. It does so by enabling WBEM, Web
Based Enterprise Management.

%package -n %{name}-docs
Summary:        Standards Based Linux Instrumentation for Manageability

%description -n %{name}-docs
SBLIM (pronounced "sublime"), the Standards Based Linux Instrumentation for
Manageability is an IBM-initiated Open Source project, intended to enhance
the manageability of GNU/Linux systems. It does so by enabling WBEM, Web
Based Enterprise Management.

%prep
%autosetup

# make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

find %{buildroot} -name "*.*a" -delete

%files -n %{develname}
%{_includedir}/CimClientLib/*.h
%{_includedir}/cimc/*.h
%{_libdir}/*.so

%files -n %{libcimcClientXML}
%{_libdir}/libcimcClientXML.so.%{libcimcClientXML_major}{,.*}

%files -n %{libcimcclient}
%{_libdir}/libcimcclient.so.%{libcimcclient_major}{,.*}

%files -n %{libcmpisfcc}
%{_libdir}/libcmpisfcc.so.%{libcmpisfcc_major}{,.*}

%files -n %{name}-docs
%{_datadir}/doc/sfcc-%{version}/AUTHORS
%{_datadir}/doc/sfcc-%{version}/COPYING
%{_datadir}/doc/sfcc-%{version}/README
%{_mandir}/man3/*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.2.8-7.mga9
+ Revision: 1821871
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 kekepower <kekepower> 2.2.8-6.mga8
+ Revision: 1638663
- Build with OpenSSL 1.1.x

* Fri Feb 14 2020 umeabot <umeabot> 2.2.8-5.mga8
+ Revision: 1516756
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.8-4.mga7
+ Revision: 1300932
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 2.2.8-3.mga7
+ Revision: 1242490
- fix build on aarch64
- use lower case in pkg names
+ kekepower <kekepower>
- Update Source0 link

* Mon Mar 26 2018 kekepower <kekepower> 2.2.8-2.mga7
+ Revision: 1212655
- Provide {name}-devel as well

* Mon Mar 26 2018 kekepower <kekepower> 2.2.8-1.mga7
+ Revision: 1212644
- BR libcurl and compat-openssl10-devel
- imported package sblim-sfcc

